Cyberduck Mountain Duck CLI

#8820 closed enhancement (worksforme)

Run cyberduck.exe with argument to open connection

Reported by: sbe Owned by: dkocher
Priority: normal Milestone: 4.7.1
Component: core Version: 4.7
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 8.1

Description

Ist es möglich cyberduck.exe (das grafische Tool) mit einem Argument wie z.B. dem Hostnamen aufzurufen? Es geht um die Integration in andere Tools bzw. die Automatisierung meiner Arbeitsabläufe, wo bisher winscp zum Einsatz kam. Auf den ersten Blick finde ich diese Möglichkeit weder bei cyberduck.exe noch duck.exe (CLI).

Change History (6)

comment:1 Changed on May 12, 2015 at 12:03:42 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Cyberduck CLI (duck.exe) unterstützt dies. Siehe Command Line Interface (CLI).

comment:2 Changed on May 12, 2015 at 12:43:15 PM by sbe

Ich habe die CLI probiert, allerdings ist mir nicht ersichtlich wie man hieraus das grafische Tool cyberduck.exe starten kann? Ich möchte lediglich, dass cyberduck sich direkt zu einem host verbindet, idealerweise interaktiv nach dem passwort fragt und mir die grafische Oberfläche präsentiert. Ich möchte keine vollautomatisierte Dateiübertragung, ich brauche nur den automatisierten Connect zu einem Host. In etwa so:

duck.exe -u root sftp://hostname

Bei winscp reicht z.B. "winscp.exe hostname" um sich direkt mit einem host zu verbinden. Dies ermöglicht mir via Variablen aus einem Terminalprogramm heraus den einfachen Zugriff auf ein Zielsystem OHNE in winscp bzw. cyberduck eine extra Connection List pflegen zu müssen (welche ich ja bereits in meinem Terminalprogramm wie z.B. SecureCRT oder RoyalTS habe)!

comment:3 Changed on May 13, 2015 at 8:33:23 AM by sbe

  • Resolution worksforme deleted
  • Status changed from closed to reopened

comment:4 Changed on May 13, 2015 at 9:42:42 AM by dkocher

  • Milestone set to 4.8
  • Owner set to dkocher
  • Status changed from reopened to new
  • Summary changed from Aufruf cyberduck.exe mit Argument to Run cyberduck.exe with argument to open connection

comment:5 Changed on May 13, 2015 at 9:44:25 AM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

You can add a bookmark file as an argument and it should open a new browser and connect. You can find export a bookmark as a file or find it in the Preferences and application support files location.

comment:6 Changed on May 13, 2015 at 11:26:28 AM by sbe

Danke, aber das ist nicht die Lösung, die ich mir vorstelle. Ich bleibe vorerst bei WinSCP und werden ein Auge auf die weitere Entwicklung von Cyberduck haben.

Hier noch ein Screenshot von RoyalTS und der Integration von WinSCP (Aufruf einer externen Applikation mit aktuellen Verbindungsparametern ($URI$)):

https://dl.dropboxusercontent.com/u/973007/2015-05-13%2013_06_10-Edit%20Properties_%20WinSCP.png

Note: See TracTickets for help on using tickets.